<template>
	<div  class="card social-card share share-other full-width">
      <div class="card-body">
      	<button @click="toggleSimulation()" type="button" class="btn btn-block btn-default">
          	<span class="pull-left"><i class="fa fa-gear"></i>
        </span>{{message}}</button>
      </div>
    </div>
</template>


<script>
import EventBus from '../eventbus';
import {mapGetters} from 'vuex';

export default {
  	data: function () {
		return {
			simulation : false,
			message: 'start simulation',
			timer: ''
		}
	},
	created() {
	 	
	},
	beforeDestroy() {
		clearInterval(this.timer);
	},
	methods: {
		toggleSimulation: function(){
			if(this.simulation == false){
				this.simulation = true;
				this.message = 'stop simulation';
				this.timer = setInterval(this.startSimulation, 5000);
				// this.startSimulation();
			}else{
				this.simulation = false;
				this.message = 'start simulation';
				this.stopSimulation();
			}
		},
		startSimulation: function(){
			this.$store.dispatch('simulateParkiran');
		},
		stopSimulation: function(){
			clearInterval(this.timer);
		}
	},
	computed: {
        ...mapGetters([
            'points','datapoint','points_parkiran','points_evacuation'
        ])
    }

};
</script>